##Copyright R. Gentleman, 2003, all rights reserved.

setOldClass("GtkWindow")
setOldClass("GtkDrawingArea")
setOldClass("GtkCList")

##compute the dimensions of a GTK drawing area in pixels

MMPI = 25.4

devPixel <- function()
{
    c(width=devWidthPixels(), height=devHeightPixels())
}

devHeightPixels <- function() 
{
    hI <- par("din")[2]
    hI/(gdkScreenHeightMm()/gdkScreenHeight()/MMPI)
}

devWidthPixels <- function() 
{
    wI <- par("din")[1]
    wI/(gdkScreenWidthMm()/gdkScreenWidth()/MMPI)
}

##some helpful constants, PixelsPerInchWide/High;
##these are fixed for a display
getPixPerInch<-function()
{
  PPIw <- 1/(gdkScreenWidthMm()/gdkScreenWidth()/MMPI)
  PPIh <- 1/(gdkScreenHeightMm()/gdkScreenHeight()/MMPI)
  return(list(PPIw=PPIw,PPIh=PPIh))
}

##translate from pixels, measured form (0,0) in upper left
##to inches measured from (0,0) in bottom left
pix2inches <- function(x,y) 
{
    PPI<-getPixPerInch()
    PPIw<-PPI$PPIw
    PPIh<-PPI$PPIh

    xi <- x/PPIw
    yi <- par("din")[2] - y/PPIh
    if( any(xi < 0) | any(yi < 0) )
        stop("mapped outside the device")
    return(list(x=xi,y=yi))
}

## from inches we map to usr coords
## we use, pin, usr and mai to get all needed pieces
inches2usr <- function(x, y) 
{
  # need to use the correct user coordinates for the plotting region
  # note: can have multiple plots

  usr<-par("usr") 
    pin <- par("pin") ##width, height
    #usr <- par("usr")
    mai <- par("mai")
    #print(paste("pin",pin))
    #print(paste("usr",usr))
    #print(paste("mai",mai))
    xu <- usr[1] + (x-mai[2])*(usr[2]-usr[1])/pin[1]
    yu <- usr[3] + (y-mai[1])*(usr[4]-usr[3])/pin[2]
    return(list(x=xu,y=yu))
}