\name{createSPlot}
\alias{createSPlot}
\title{ Creates an interactive scatterplot }
\description{
  The createSPlot function will provide the same functionality as choosing
  the Plot Data menu item from the Display menu on the control window.  Before
  creating a scatterplot, the data must be loaded using either the loadData or
  loadFile functions.  Only the active model (MVC) can be plotted.
}
\usage{
createSPlot(varx, vary, rowNames = "")
}
\arguments{
  \item{varx}{ the variable (column) name for the x axis }
  \item{vary}{ the variable (column) name for the y axis }
  \item{rowNames}{ the row names to display (only use this parameter if the
  user wants to plot a subset of the data) }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}},
  \code{\link{loadFile}},
  \code{\link{createSpreadsheet}} 
}
\examples{
  if (interactive())
  {
    loadData("USArrests")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
  }
}
\keyword{ device }

