\name{deleteMVC}
\alias{deleteMVC}
\title{ Delete a MVC object }
\description{
  deleteMVC will remove a MVC object, which means that the data set is removed
  and all of its views are closed.  deleteMVC performs the same functionality
  as the Delete MVC menu item under the Edit menu on the control window.  This
  function is meant to be called by users that are not using the GUI.  The
  active MVC object cannot be deleted.  Only non-active MVC objects can be
  deleted. 
}
\usage{
deleteMVC(dMVC)
}
\arguments{
  \item{dMVC}{ the name of the model (MVC) object to be removed }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}}, 
  \code{\link{getModelNames}},
  \code{\link{getActiveMVC}}
}
\examples{
  if (interactive())
  {
    loadData("USArrests")
    loadData("USJudgeRatings")
    setActiveMVC("USArrests")
    createSpreadsheet()
    setActiveMVC("USJudgeRatings")
    createSpreadsheet()
    # now delete the USArrests MVC (which is not active)
    deleteMVC("USArrests")
  }
}
\keyword{ data }

