\name{findElement}
\alias{findElement}
\title{ Find an element on a plot }
\description{
  The findElement function will provide the same functionality as choosing
  the Find menu item from the Edit menu on the control window.  To find an
  element on the view, you can either match on a row name or a data element.
}
\usage{
findElement(value, matchOn = "Row")
}
\arguments{
  \item{value}{ the value to find }
  \item{matchOn}{ matchOn will be "Row" if the value is a row name and it will
  be "Data" if the value is a data element}
}
\author{ Elizabeth Whalen }
\examples{
  if (interactive())
  {
    loadData("USArrests")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    # this causes a point to be highlit when the left button is clicked 
    setCallFunc("leftButtonClick", "highlight a point")
    findElement("Idaho")
  }
}
\keyword{ data }
