\name{getData}
\alias{getData}
\title{ An interface function to get data }
\description{
  getData is called by any function whenever it needs data that has been
  loaded into the 'system'.  Note that system could be defined differently
  by different users.  Currently, getData only returns data stored in dfList
  in the environment, dataEnv.  However, a user could add new ways of
  getting data.
}
\usage{
getData(name)
}
\arguments{
  \item{name}{ the name of the data to return }
}
\value{
  getData returns the data requested.
}
\author{ Elizabeth Whalen }
\examples{
  if (interactive())
  {
    loadData("USArrests")
    x<-getData("USArrests")
  }
}
\keyword{ data }

