\name{getTooltips}
\alias{getTooltips}
\title{ Returns the names of the tooltips for the active MVC }
\description{
  getTooltips returns the names of the tooltips for the active MVC.  These
  will be the tooltips when the mouse over event is set to show tooltips.
  Currently, the tooltips can be set to be either the row names or the values
  from one of the data frame's columns.  The default is to use the row names
  as tooltips.  Until the tooltips have been set using the function,
  setTooltips, this function will return NULL.  
}
\usage{
getTooltips()
}
\value{
  Returns either NULL or the vector of the tooltip names for the active MVC.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{setTooltips}} 
}
\examples{
  if (interactive())
  {
    loadData("USArrests")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    setCallFunc("mouseOver", "show tooltips over points")
    getTooltips()

    setTooltips("rowNames")
    getTooltips()

    setTooltips("UrbanPop")
    getTooltips()
  }
}
\keyword{ data }

