\name{handleMessage-methods}
\docType{methods}
\alias{handleMessage-methods}
\alias{handleMessage,gUpdateViewMessage-method}
\alias{handleMessage,gUpdateDataMessage-method}
\alias{handleMessage,gAddDataMessage-method}
\alias{handleMessage,gAddViewMessage-method}
\title{ handleMessage reads and acts upon a message object}
\description{
  The handleMessage method reads and acts upon a message object so that the
  information in a message is used in the proper manner.  Every message class
  must have a handleMessage method so that the message will be read.
}
\section{Methods}{
\describe{

\item{object = "gUpdateViewMessage"}{ The handleMessage method for a
gUpdateViewMessage object will make sure that a view is updated after the data
has changed. }

\item{object = "gUpdateDataMessage"}{ The handleMessage method for a
gUpdateDataMessage object will update the data depending on what is stored in
the gUpdateDataMessage object. }

\item{object = "gAddDataMessage"}{ The handleMessage method for a
gAddDataMessage object will load a model and create a MVC object using the
function, loadModel. }

\item{object = "gAddViewMessage"}{ The handleMessage method for a
gAddViewMessage will create a view object. }
}}
\keyword{methods}
