\name{initialize-methods}
\docType{methods}
\alias{initialize-methods}
\alias{initialize,dfModel-method}
\alias{initialize,sPlotView-method}
\alias{initialize,spreadView-method}
\alias{initialize,gUpdateViewMessage-method}
\alias{initialize,gUpdateDataMessage-method}
\alias{initialize,gAddDataMessage-method}
\alias{initialize,gAddViewMessage-method}
\title{ Ensure an object is properly initialized }
\description{
   The initialize methods ensure that whenever an object is created, the slots
   will be filled with the proper values.
}
\section{Methods}{
\describe{

\item{.Object = "dfModel"}{ The initialize method will ensure that the slots
of the dfModel object are properly filled.  In particular, the initialize
method will ensure that the virtualData slot is filled with a data frame that
consists of columns referring to the default view data (now there are 4
columns referring to color, pch, highlit, and hide).  The virtualData slot
will ensure that all views of this model will be linked. }

\item{.Object = "sPlotView"}{ The initialize method will not only create the
view object, but it will also create the Gtk window and drawing area that the
view will be shown in.  So the initialize method creates both the sPlotView
object and the scatterplot. }

\item{.Object = "spreadView"}{ The initialize method will not only create the
view object, but it will also create the Gtk window and spreadsheet that the
view will be shown in.  So the initialize method creates both the spreadView
object and the spreadsheet. }

\item{.Object = "gUpdateViewMessage"}{ The initialize method will create the
gUpdateViewMessage object. }

\item{.Object = "gUpdateDataMessage"}{ The initialize method will create the
gUpdateDataMessage object. }

\item{.Object = "gAddDataMessage"}{ The initialize method will create the
gAddDataMessage object. }

\item{.Object = "gAddViewMessage"}{ The initialize method will create the
gAddViewMessage object. }
}}
\keyword{methods}
