\name{loadModel}
\alias{loadModel}
\title{ Load a Model (and a MVC) object into mvcEnv environment }
\description{
  loadModel creates a model object and a MVC object and loads them into the 
  environment variable, MVCList, in mvcEnv.  This function will 
  be called by the handleMessage method for a gAddDataMessage object.  Note 
  that it is this function that ensures that there is a one to one 
  correspondence between a model and a MVC object.
}
\usage{
loadModel(data, name)
}
\arguments{
  \item{data}{ the dataframe or matrix }
  \item{name}{ the data set name - a character string }
}
\author{ Elizabeth Whalen }
\seealso{
  \code{\link{getData}},
  \code{\link{loadData}}
}
\examples{
  if (interactive())
  {
    # these should be called by selecting Open Data under the File menu or
    # by using the loadData function
    data(USArrests)
    loadModel(USArrests, "USArrests")
  }
}
\keyword{data}

