\name{resetData}
\alias{resetData}
\title{ Resets the data that corresponds to the active view }
\description{
  The resetData function will provide the same functionality as choosing
  the Reset menu item from the Edit menu on the control window.  This function
  will return the data set to its state when it was originally loaded.
}
\usage{
resetData()
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}},
  \code{\link{replotViews}} 
}
\examples{
  if (interactive())
  {
    loadData("USArrests")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    setCallFunc("leftButtonClick", "highlight a point")
    # now click on a few points to highlight them
    # and then reset the data set (which will remove the highlighting)
    Sys.sleep(3)
    resetData()
  }
}
\keyword{ data }

