\name{setTooltips}
\alias{setTooltips}
\title{ Sets the tooltips }
\description{
  setTooltips sets the tooltip values when the callback function is to show
  tooltips over points.  The default value for tooltips is to use the row
  names, but the user can also set the tooltips to be values from a column in
  the data frame.  setTooltips is a command line function that is meant only
  to be used when the user is not using the GUI.  
}
\usage{
setTooltips(name)
}
\arguments{
  \item{name}{ can either be the name of a column from the active model or it
  can be 'rowNames' to indicate that the row names should be used as the
  tooltips }
}
\details{
  If the user wants the tooltips to be values from a column in the active
  model, then the parameter, name, should be the name of that column.  If the
  user wants the tooltips to be the row names, then the parameter, name,
  should be 'rowNames'.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{setCallFunc}},
  \code{\link{getTooltips}}
}
\examples{
  if (interactive())
  {
    loadData("USArrests")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    setCallFunc("mouseOver", "show tooltips over points")
    setTooltips("Murder")
    # now move the cursor over the plot
    Sys.sleep(3)
    setTooltips("rowNames")
  }
}
\keyword{ data }

